package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;
import ${basePackage}.frame.base.BaseEntity;

/**
 * FILE - 文件
 *
 * @author author
 * @version 0.0.1
 * @since 2017-01-01
 */
@SheetName("文件")
public class File extends BaseEntity {

    /**
     * NAME - 文件名称
     */
    @ColumnName("文件名称")
    @ColumnDescription("文件名称")
    private String name;
    /**
     * FILE_TYPE - 文件类型
     */
    @ColumnName("文件类型")
    @ColumnDescription("文件类型")
    private String fileType;
    /**
     * ATTRIBUTE1 - 扩展属性1
     */
    @ColumnName("扩展属性1")
    @ColumnDescription("扩展属性1")
    private String attribute1;
    /**
     * ATTRIBUTE2 - 扩展属性2
     */
    @ColumnName("扩展属性2")
    @ColumnDescription("扩展属性2")
    private String attribute2;
    /**
     * LOCATION - 存放地址
     */
    @ColumnName("存放地址")
    @ColumnDescription("存放地址")
    private String location;
    /**
     * URL - 访问地址
     */
    @ColumnName("访问地址")
    @ColumnDescription("访问地址")
    private String url;
    /**
     * URL_DOWNLOAD - 下载地址
     */
    @ColumnName("下载地址")
    @ColumnDescription("下载地址")
    private String urlDownload;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFileType() {
        return this.fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getAttribute1() {
        return this.attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return this.attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getLocation() {
        return this.location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getUrl() {
        return this.url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrlDownload() {
        return this.urlDownload;
    }

    public void setUrlDownload(String urlDownload) {
        this.urlDownload = urlDownload;
    }
}